Relesys API Docs

v1.4

https://api.relesystest.net/api/v1.4

Comments

Get Comments
GET /contentmodules/{moduleId}/content/{contentId}/comments
https://api.relesystest.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}/comments
Get a list of content comments.
Default sort is by creationDateTime in descending order.

Please note: Comments must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
parentCommentId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"fb14f16c-2548-443e-814a-f4dcf87a87cc","url":null,"userId":"95f7c28f-fcd0-4d85-bc1f-b73f2c914521","userUrl":null,"parentCommentId":"ace110d5-37d1-48ec-a60f-821cddd60f35","parentCommentUrl":null,"creationDateTime":"2026-08-22T23:31:48.9903342+00:00","lastModifiedDateTime":"2026-08-23T03:31:48.9903342+00:00","medias":[{"id":"9a1947ec-b9e2-46fc-8ebd-a9e02d849e0e","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"},{"id":"3c8b6d4c-33a4-4e01-84e8-debcda20c0be","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"mp4"}],"mentions":null,"locales":[{"culture":"en-GB","text":"Example text 1"}]},{"id":"3277f8df-1a67-4be6-b265-a9622f0f4b43","url":null,"userId":"811d9126-e7cd-4bdc-addd-c27a8681e56b","userUrl":null,"parentCommentId":"2a009c10-6945-4247-a100-d9cacd221005","parentCommentUrl":null,"creationDateTime":"2026-08-22T22:31:48.9903342+00:00","lastModifiedDateTime":null,"medias":null,"mentions":[{"type":"User","name":null,"id":"d3e6e6ba-5699-4f42-8029-a5bb1ce4e9e8","url":null},{"type":"Department","name":null,"id":"bfb47d0c-0118-47af-8c0a-b19656d3a36b","url":null},{"type":"User group","name":null,"id":"2fda3592-195f-4fec-8bf5-ecdc7e53501b","url":null}],"locales":[{"culture":"en-GB","text":"Example text 2"}]}]}
object
  count integer      
  data array[object]      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    culture string      
    text string      
   medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   parentCommentId string / guid      
   parentCommentUrl string      
   url string      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string